import request from '@/utils/request'

// 查询新员工培训列表
export function listTnNew(query) {
  return request({
    url: '/newstaff/tnNew/list',
    method: 'get',
    params: query
  })
}

// 查询学员
export function listStaff(query) {
  return request({
    url: '/newstaff/tnNew/listStaff',
    method: 'get',
    params: query
  })
}

// 查询新员工培训详细
export function getTnNew(newId) {
  return request({
    url: '/newstaff/tnNew/' + newId,
    method: 'get'
  })
}

// 新增新员工培训
export function addTnNew(data) {
  return request({
    url: '/newstaff/tnNew',
    method: 'post',
    data: data
  })
}

// 修改新员工培训
export function updateTnNew(data) {
  return request({
    url: '/newstaff/tnNew',
    method: 'put',
    data: data
  })
}

// 删除新员工培训
export function delTnNew(newId) {
  return request({
    url: '/newstaff/tnNew/' + newId,
    method: 'delete'
  })
}

// 导出新员工培训
export function exportTnNew(query) {
  return request({
    url: '/newstaff/tnNew/export',
    method: 'get',
    params: query
  })
}

// 统计培训
export function trainNewstaffCount(query) {
  return request({
    url: '/newstaff/tnNew/trainNewstaffCount',
    method: 'get',
    params: query
  })
}



